/*
 *  This file is part of xMule2.
 *  Copyright (C) 2003 Alo Sarv <madcat_@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __GUISettingsDlg_H__
#define __GUISettingsDlg_H__

#ifdef __GNUG__
	#pragma interface "GUISettingsDlg.cpp"
#endif

#ifndef WX_PRECOMP
	#include "wx/wx.h"
#endif

#include "xMuleGUI_wdr.h"
#include "defines.h"

class CGUISettingsDlg: public wxDialog {

public:
	CGUISettingsDlg( 
		wxWindow *parent, wxWindowID id, const wxString &title,
		const wxPoint& pos = wxDefaultPosition,
		const wxSize& size = wxDefaultSize,
		long style = wxDEFAULT_DIALOG_STYLE 
	);
private:
	/* Event handler functions */
	void OnOk(wxCommandEvent &event);
	void OnCancel(wxCommandEvent &event);
	void OnCheckRememberLast(wxCommandEvent &event);
	void OnCheckShowTool(wxCommandEvent &event);
	void OnCheckShowMenu(wxCommandEvent &event);
	void AddLang(wxCommandEvent &event);

	/* Other functions */
	void SaveSettings();
	void LoadSettings();

	/* Getters for dialog controls */
	wxCheckBox* GetShowMenu()  { return (wxCheckBox*) FindWindow( ID_SHOWMENU ); }
	wxChoice* GetToolAlign()  { return (wxChoice*) FindWindow( ID_TOOLALIGN ); }
	wxChoice* GetStartPage()  { return (wxChoice*) FindWindow( ID_STARTPAGE ); }
	wxCheckBox* GetRememberLast() { return (wxCheckBox*) FindWindow (ID_REMEMBER_LAST ); }
	wxCheckBox* GetShowTool()  { return (wxCheckBox*) FindWindow( ID_SHOWTOOL ); }
	wxCheckBox* GetPromptExit()  { return (wxCheckBox*) FindWindow( ID_PROMPTEXIT ); }
	wxCheckBox* GetShowSplash()  { return (wxCheckBox*) FindWindow( ID_SHOWSPLASH ); }
	wxChoice* GetIconSet()  { return (wxChoice*) FindWindow( ID_ICONSET ); }
	wxChoice* GetFont()  { return (wxChoice*) FindWindow( ID_FONT ); }
	wxChoice* GetLang()  { return (wxChoice*) FindWindow( ID_LANG ); }
	
	DECLARE_EVENT_TABLE()
};

class CAddLanguageDlg: public wxDialog {
public:
	CAddLanguageDlg(
		wxWindow *parent, wxWindowID id, const wxString &title,
		const wxPoint &pos = wxDefaultPosition,
		const wxSize &size = wxDefaultSize,
		long style = wxDEFAULT_DIALOG_STYLE
	);
	wxTextCtrl* GetLangName() { return (wxTextCtrl*) FindWindow(ID_LANG_NAME); }
private:
	void AddLangOk(wxCommandEvent &event);
	void AddLangCancel(wxCommandEvent &event);

	
	DECLARE_EVENT_TABLE()	
};

#endif
