/*
 *  This file is part of xMule2.
 *  Copyright (C) 2003 Alo Sarv <madcat_@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __SearchWnd_H__
#define __SearchWnd_H__

#ifdef __GNUG__
	#pragma interface "SearchWnd.cpp"
#endif

#ifndef WX_PRECOMP
	#include "wx/wx.h"
#endif

/* Private headers */
#include "xMuleGUI_wdr.h"
#include "defines.h"

/*
 * CSearchWnd class.
 */

class CSearchWnd: public wxPanel
{
public:
	CSearchWnd(
		wxWindow *parent, wxWindowID id = -1, 
		const wxPoint& pos = wxDefaultPosition,
		const wxSize& size = wxDefaultSize,
		long style = wxTAB_TRAVERSAL | wxNO_BORDER | 
		wxNO_FULL_REPAINT_ON_RESIZE
	);
	virtual ~CSearchWnd();
	
private:
	DECLARE_EVENT_TABLE()
	void StartNewSearch(wxCommandEvent &event);
	
	/* Getters for dialog controls */
	wxTextCtrl* GetExtension()  { return (wxTextCtrl*) FindWindow( ID_EXTENSION ); }
	wxTextCtrl* GetMaxsize()  { return (wxTextCtrl*) FindWindow( ID_MAXSIZE ); }
	wxTextCtrl* GetAvail()  { return (wxTextCtrl*) FindWindow( ID_AVAIL ); }
	wxTextCtrl* GetMinsize()  { return (wxTextCtrl*) FindWindow( ID_MINSIZE ); }
	wxChoice* GetSearchMethod()  { return (wxChoice*) FindWindow( ID_SEARCHMETHOD ); }
	wxChoice* GetSearchType()  { return (wxChoice*) FindWindow( ID_SEARCHTYPE ); }
	wxTextCtrl* GetSearchString()  { return (wxTextCtrl*) FindWindow( ID_SEARCHSTRING ); }
	wxStaticBitmap* GetSearchResultsImage() { return (wxStaticBitmap*) FindWindow( ID_SEARCH_RESULTS_IMAGE ); }

	wxString m_searchstring;
	wxImageList *m_imagelist;
};


#endif
