/*
 *  This file is part of xMule2.
 *  Copyright (C) 2003 Alo Sarv <madcat_@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __SharedFilesWnd_H__
#define __SharedFilesWnd_H__

#ifdef __GNUG__
	#pragma interface "SharedFilesWnd.cpp"
#endif

#ifndef WX_PRECOMP
	#include "wx/wx.h"
#endif

#include "xMuleGUI_wdr.h"
#include "defines.h"
#include "SharedFilesListCtrl.h"

class CSharedFilesWnd: public wxPanel {
public:
	CSharedFilesWnd(
		wxWindow *parent, wxWindowID id = -1, 
		const wxPoint& pos = wxDefaultPosition,
		const wxSize& size = wxDefaultSize,
		long style = wxTAB_TRAVERSAL | wxNO_BORDER | 
		wxNO_FULL_REPAINT_ON_RESIZE
	);
private:
	DECLARE_EVENT_TABLE()
	/* Getters for dialog items */
	CSharedFilesListCtrl* GetSharedlistctrl()  { return (CSharedFilesListCtrl*) FindWindow( ID_SHAREDLISTCTRL ); }
	wxStaticText* GetTotalTransferred()  { return (wxStaticText*) FindWindow( ID_TOTAL_TRANSFERRED ); }
	wxStaticText* GetTotalAcceptedUploads()  { return (wxStaticText*) FindWindow( ID_TOTAL_ACCEPTED_UPLOADS ); }
	wxStaticText* GetTotalRequests()  { return (wxStaticText*) FindWindow( ID_TOTAL_REQUESTS ); }
	wxGauge* GetGTransferred()  { return (wxGauge*) FindWindow( ID_G_TRANSFERRED ); }
	wxGauge* GetGUploads()  { return (wxGauge*) FindWindow( ID_G_UPLOADS ); }
	wxGauge* GetGRequests()  { return (wxGauge*) FindWindow( ID_G_REQUESTS ); }
	wxStaticText* GetCursesTransferred()  { return (wxStaticText*) FindWindow( ID_CURSES_TRANSFERRED ); }
	wxStaticText* GetCursesAcceptedUploads()  { return (wxStaticText*) FindWindow( ID_CURSES_ACCEPTED_UPLOADS ); }
	wxStaticText* GetCursesRequests()  { return (wxStaticText*) FindWindow( ID_CURSES_REQUESTS ); }
	wxStaticText* GetTxtShared()  { return (wxStaticText*) FindWindow( ID_TXT_SHARED ); }
	wxStaticBitmap* GetSharedFilesImage() { return (wxStaticBitmap*) FindWindow( ID_SHARED_FILES_IMAGE ); }
};


#endif
