/*
 *  This file is part of xMule2.
 *  Copyright (C) 2003 Alo Sarv <madcat_@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __StatusBar_H__
#define __StatusBar_H__

#ifdef __GNUG__
	#pragma interface "StatusBar.h"
#endif

// Include wxWindows' headers
#ifndef WX_PRECOMP
	#include <wx/wx.h>
	#include <wx/datetime.h>
#endif

// Include private headers
#include "xMuleGUI_wdr.h"
#include "defines.h"

// A custom status bar which contains controls, icons &c
extern class CStatusBar *statusbar;
class CStatusBar : public wxStatusBar
{
public:
	CStatusBar(wxWindow *parent);
	virtual ~CStatusBar();
	
	void SetLogText(const wxString text);
	void SetUserCount(int users, int totalusers);
	void SetFilesCount(int files, int totalfiles);
	void SetUpSpeed(int up);
	void SetDownSpeed(int down);
	void SetServerName(const wxString server);
	
private:
	void OnSize(wxSizeEvent& event);
	void UpdateFieldWidths();

	wxStaticText *m_logtxt;
	
	wxStaticBitmap *m_userbmp;
	wxStaticText *m_usertxt;
	
	wxStaticBitmap *m_filesbmp;
	wxStaticText *m_filestxt;
	
	wxStaticBitmap *m_upbmp;
	wxStaticText *m_uptxt;
	
	wxStaticBitmap *m_downbmp;
	wxStaticText *m_downtxt;
	
	wxStaticBitmap *m_serverbmp;
	wxStaticText *m_servertxt;
	
	DECLARE_EVENT_TABLE()
};

#endif
