/*
 *  This file is part of xMule2.
 *  Copyright (C) 2003 Alo Sarv <madcat_@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __CSysTray_H__
#define __CSysTray_H__

#ifdef __GNUG__
	#pragma interface "SysTray.cpp"
#endif

#ifndef WX_PRECOMP
	#include "wx/wx.h"
#endif

#include "defines.h"
#include "xMuleGUI.h"

/* TaskBarIcon class is only supported under wxMSW */
#ifdef __WXMSW__

class CSysTray: public wxTaskBarIcon {
public:
	CSysTray();
	virtual ~CSysTray();
private:
	void ShowContextMenu(wxTaskBarIconEvent &event);
	void HideShowGUI(wxCommandEvent &event);
	void ChangeGUISettings(wxCommandEvent &event);
	void ChangeCoreSettings(wxCommandEvent &event);
	void ShowHelp(wxCommandEvent &event);
	void Quit(wxCommandEvent &event);

    DECLARE_EVENT_TABLE()
};


#endif

#endif
